org.keycloak.models.sessions.infinispan.changes.sessions

## Class PersisterLastSessionRefreshStore

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStore
  - - org.keycloak.models.sessions.infinispan.changes.sessions.PersisterLastSessionRefreshStore

-     public class PersisterLastSessionRefreshStore
      extends AbstractLastSessionRefreshStore

  The store is supposed to do periodic bulk update of lastSessionRefresh times of all userSessions, which were refreshed during some period of time. The updates are sent to UserSessionPersisterProvider (DB)
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PersisterLastSessionRefreshStore(int maxIntervalBetweenMessagesSeconds, int maxCount, boolean offline)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `sendMessage(KeycloakSession kcSession, Map<String,SessionData> refreshesToSend)` Bulk update the underlying store with all the user sessions, which were refreshed by Keycloak since the last call of this method

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.changes.sessions.AbstractLastSessionRefreshStore

      `putLastSessionRefresh, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### PersisterLastSessionRefreshStore

          protected PersisterLastSessionRefreshStore(int maxIntervalBetweenMessagesSeconds,
                                                     int maxCount,
                                                     boolean offline)

  - ### Method Detail

    - #### sendMessage

          protected void sendMessage(KeycloakSession kcSession,
                                     Map<String,SessionData> refreshesToSend)

      Description copied from class: `AbstractLastSessionRefreshStore`
      Bulk update the underlying store with all the user sessions, which were refreshed by Keycloak since the last call of this method
      Specified by:
        `sendMessage` in class `AbstractLastSessionRefreshStore`
        `refreshesToSend` - Key is userSession ID, SessionData are data about the session

Copyright © 2021 JBoss by Red Hat. All rights reserved.